
* {
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -o-user-select: none;
  user-select: none;
  box-sizing:border-box;
  -moz-box-sizing:border-box;
  -webkit-box-sizing:border-box;
}

/* For HTML5 specs */
html, body {
    height: 100%;
    overflow: hidden;
}

input {
    -webkit-user-select: text;
    -khtml-user-select: text;
    -moz-user-select: text;
    -o-user-select: text;
    user-select: text;
}

ul {
    -webkit-padding-start: 0;
    -moz-padding-start: 0;
    -o-padding-start: 0;
}

body {
    font-family: "HelveticaNeue-Light", "Helvetica Neue Light", "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
    font-weight: 200;
    font-size: 11pt;
    margin: 0 4px;
}

/* Color scheme! */

/* Main color */
body {
    background-image: radial-gradient(farthest-corner at 50% 80%, rgb(100, 100, 100), rgb(50, 50, 50));
}
.svgDiv, .tableDiv {
    background: rgba(220, 220, 220, 0.1);
    color: white;
    overflow: hidden;
    cursor: crosshair;
}

/* grays */
#statusBar, #titleSearchDiv, #leftSearchDiv, #rightSearchDiv {
    background-image: radial-gradient(farthest-corner at 50% 80%, rgb(255, 255, 255), rgb(235, 235, 235));
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    color: black;
    text-decoration: bold;
}

/* Header Bars */
thead, #networkMenu {
    background: #EEE;
}

.calibratesel, .setlinearsel {
    background-color: red;
}

.tableTitle {
    text-align: center;
    position: relative;
    height: 20px;
    width: 100%;
    padding-left: 20px;
    padding-right:20px'
}

.tableScroller {
    height: calc(100% - 20px);
    width: 100%;
    position: relative;
/*    overflow: auto;*/
    overflow-x: hidden;
    overflow-y: scroll;
}

/* tertiary highlight selection */
.displayTable td.even {
    background: rgba(0, 0, 0, 0.1);
}

.displayTable td.tdsel {
    background: rgb(200,200,200);
    color: black;
}

td.filler {
    width: 100%;
}

.displayTable tr:hover {
}

.displayTable tr, td {
    overflow: hidden;
/*    padding-left: 2px;*/
/*    border: 2px solid transparent;*/
}

#leftTable .tableScroller {
    direction: rtl;
}

#leftTable .displayTable {
    direction: ltr;
}

#leftTable .displayTable td {
    border-left: 1px solid black;
    border-bottom: 1px solid black;
    text-align: left;
}

#leftTable .displayTable td.leaf {
    text-align: right;
}

#rightTable .displayTable td {
    border-right: 1px solid black;
    border-bottom: 1px solid black;
    text-align: right;
}

#rightTable .displayTable td.leaf {
    text-align: left;
}

#leftTable .displayTable td.device {
    border-left: none;
}

#rightTable .displayTable td.device {
    border-right: none;
}

#leftTable .displayTable td.tall div {
    transform: rotate(180deg);
    writing-mode: vertical-rl;
    -webkit-text-orientation: mixed;
    white-space: nowrap;
}

#rightTable .displayTable td.tall div {
    writing-mode: vertical-rl;
    -webkit-text-orientation: mixed;
}

/* others */
.waiting {
    color: red;
    background: #EEEEEE;
}

input.range {
    border: 1px solid darkgrey;
}

/* paths */
path {
    cursor: pointer;
}
/******************/

.hidden {
    visibility: hidden;
    display: none;
    width: 0%;
    height: 0%;
}

/****************/

/*The top menu*/
.propertiesDiv {
    min-width: 560px;
    padding-top: 5px;
    padding-bottom: 5px;
    position: absolute;
    width: 100%;
}

.topMenu {
/*    background: rgba(220, 220, 220, 0.1);*/
    height: 140px;
    border-radius: 12px;
    position: relative;
    float: left;
    margin-right: 5px;
    overflow: hidden;
    width: calc(100% - 40px);
    top: -73px;
}

.CodeMirror {
    border: 1px solid black;
    height: 140px;
    width:100%;
}
  

.topMenu.half {
    height: 68px;
    margin-bottom: 4px;
    top: 0px;
}

.topMenu div {
/*    display: inline-block;*/
/*    vertical-align: top;*/
    color: white;
}

#TopMenuWrapperFile {
    width: 320px;
}

.topMenuTitle {
    position: relative;
    float: left;
    height: 20px;
    width: 140px;
    transform-origin: 0% 0%;
    transform: translate(0px, 140px) rotate(270deg);
    color: white;
    background: rgba(220, 220, 220, 0.2);
    text-align: center;
    text-decoration: bold;
    border-top-right-radius: 12px;
    border-top-left-radius: 12px;
}

.topMenuTitle.half {
    width: 68px;
    transform: translate(0px, 68px) rotate(270deg);
    top: 0px;
}

.topMenuTitle.edited {
    background: red;
}

.topMenuContainer {
    position: absolute;
    float: left;
    width: calc(100% - 20px);
    height: 100%;
/*    top: -20px;*/
    left: 20px;
    padding: 5px;
    background: rgba(220, 220, 220, 0.1);
    border-top-right-radius: 12px;
    border-bottom-right-radius: 12px;
}

.topMenuContainer>div {
    padding: 5px;
    width: 100%;
}

.topMenu li {
    margin: 2px;
    list-style: none;
    cursor: pointer;
}

.utils {
    width: 160px;
    display:inline-block;
    padding: 10px;
    border-radius:12px;
    height: 76px;
}

.utils div {
    margin-right: 10px;
    margin-bottom: 5px;
}

.signalProps {
    border-radius:12px;
    width: calc(100% - 165px);
    padding: 10px;
    float: right;
}

form {
    margin-bottom: 0px;
}

.topMenu li a {
    color: black;
    text-decoration: none;
}

.topMenu li a:hover {
    text-decoration: underline;
}

.topMenu li a.disabled:hover {
    text-decoration: none;
}

#ranges {
    padding-right: 10px;
    height: 100%;
}

.rangeSwitch {
    width: 20px;
    height: 20px;
    background: url(/images/range_switch_white.png);
    background-repeat: no-repeat;
    cursor: pointer;
    border: none;
    position: relative;
    top: 0px;
}

.calibrate, .setlinear {
    cursor: pointer;
}

/****************/

#saveButton, #loadButton, #exprButton, #curveTitle, #ifaceMenuLabel, #exprUpdateButton {
    cursor: pointer;
}

.history, .history table {
    display: inline-block;
    cursor: pointer;
    height: 20px;
    width: 100%;
    float: left;
    margin: 0px;
}

.viewButton {
    display: table-cell;
    vertical-align: bottom;
    cursor: pointer;
    width: 30px;
    height: 25px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position-y: center;
    padding-right: 5px;
    opacity: 0.5;
}

.viewButtonsel {
    opacity: 1.0;
}

.viewButton:hover {
    opacity: 1.0;
}

#listButton {
    background-image: url(/images/list_icon_white.png);
}

#graphButton {
    background-image: url(/images/graph_icon_white.png);
}

#canvasButton {
    background-image: url(/images/canvas_icon_white.png);
}

#gridButton {
    background-image: url(/images/grid_icon_white.png);
}

#parallelButton {
    background-image: url(/images/parallel_icon_white.png);
}

#hiveButton {
    background-image: url(/images/hive_icon_white.png);
}

#balloonButton {
    background-image: url(/images/balloon_icon_white.png);
}

#linkButton {
    background-image: url(/images/link_icon_white.png);
}

#chordButton {
    background-image: url(/images/chord_icon_white.png);
}

#consoleButton {
    background-image: url(/images/console_icon_white.png);
}

.signalControl {
    z-index: 1;
    position: relative;
}

#saveLoadDiv #networkSelection {
    padding: 0 10px;
}

#saveLoadDiv a {
    color: black;
}

.protocol {
    padding-right: 3pt;
    cursor: pointer;
    display: inline-block;
}

.sel {
    /*    background-color: rgba(200, 200, 200, 0.8);*/
    background-color: black;
}
/**/
/*.tdsel {*/
/*    font-weight: bold;*/
/*}*/

#protoUDP {
    padding-left: 5px;
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}

#protoTCP {
    padding-left: 3px;
    padding-right: 5px;
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}

.button {
    padding-right: 3pt;
    margin-bottom: 10px;
    cursor: pointer;
    display: inline-block;
}

div.range {
    margin-left: 10px;
    padding: 4px 3px;
    width: 100%;
}
input.range {
    text-align: center;
    margin: 0;
}
#srcMin, #destMin {
    border-right: 0;
}
input.range, input.expression {
    height: 19px;
    font-size: 9pt;
}

/* For proper spacing of text of range divs */
input.expression {
    margin-left: 5px
}

#networkMenu {
    position: absolute;
    z-index: 2;
    left: 37px;
    top: 30px;
}

#networkMenu td, #networkMenu th {
    opacity: 1;
}

#networkMenu td, #logo {
    cursor: pointer;
}

/****************/

.notification {
    font-style: italic;
    border: solid 1px black;
    border-radius: 5px;
    -moz-border-radius: 5px;
    padding-left: 5px;
    padding-right: 5px;
}
  

/* The table areas */
.tableDiv {
    position: absolute;
    overflow: visible;
    width: 40%;
    height: 100%;
    border-bottom: 0;
    border-radius: 12px;
}

/* The table areas */

/* The table itself */
table.displayTable {
    border-collapse: collapse;
    width: 100.1%; /*Slightly more than 100%, cause 100% doesn't quite fill the frame for some reason*/
    height: 100%;
    overflow: scroll;
    font-size: 10pt;
}
thead {
}
tbody {
    overflow: auto;
}

/* Rows and headers */
.tableDiv th, td {
    cursor: pointer;
    font-weight: inherit;
/*    text-align: left;*/
    border-top: 0px;
    border-left: 0px;
    font-size: 10pt;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 0px;
    padding-bottom: 0px;
}

.invisible {
    display: none;
}

.displayTable tr td {
    vertical-align: middle;
    cursor: default;
    padding-top: 0px;
    padding-bottom: 0px;
}

.displayTable td {
/*    padding-left: 20px;*/
/*    padding-right: 20px;*/
    white-space: nowrap;
}

/*****************/

#tooltip {
    padding: 4px 6px 4px 6px;
/*    vertical-align: middle;*/
    position: absolute;
/*    text-align: left;*/
    color: white;
    background: #111;
    border-radius: 10px;
    opacity: 0;
    white-space: pre-line;
    pointer-events: none;
}

#table.infoTable {
    border-collapse: collapse;
}

table.infoTable tr td {
    border-left: 1px solid white;
    border-top: 1px solid white;
/*    padding: 5px;*/
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 2px;
    overflow: hidden;
}

table.infoTable tr td:first-child {
    border-left: none;
}

#axes {
    padding: 0px 0px 0px 0px;
/*    vertical-align: middle;*/
    position: absolute;
    /*    text-align: left;*/
    color: transparent;
    border-left: 1px solid white;
    border-bottom: 1px solid white;
/*    background: #111;*/
/*    border-radius: 10px;*/
    opacity: 0;
    white-space: pre-line;
    pointer-events: none;
}

#xAxis {
    width: 100%;
    height: 29px;
    display: inline-block;
}

#xAxis div {
    float: left;
}

.axisLabel {
    pointer-events: all;
    text-align: center;
    font-size: 14pt;
    color: black;
    background-color: white;
}

.axisLabel:hover, .axisLabel:focus {
    background-color: lightgray;
}

#xAxisLabel {
    width: 50%;
    height: 100%;
    line-height: 25px;
}

#xAxisMenu {
    position: absolute;
    left: 25%;
    bottom: 0px;
    overflow: auto;
    pointer-events: all;
    color: black;
    width: 50%;
}

#xAxisMin {
    text-align: left;
    width: 25%;
    height: 100%;
    color: white;
}

#xAxisMax {
    text-align: right;
    width: 25%;
    height: 100%;
    color: white;
}

#yAxis {
    left: -29px;
    width: 29px;
    height: 100%;
    position: relative;
}

#yAxis div {
    writing-mode: vertical-lr;
    /*    -webkit-text-orientation: mixed;*/
    width: 100%;
}

#yAxisLabel {
    transform: rotate(180deg);
    height: 50%;
    top: 40%;
    line-height: 28px;
}

#yAxisMenu {
    position: absolute;
    left: 30px;
    top: 0px;
    overflow: auto;
    pointer-events: all;
    color: black;
    width: 400px;
}

#yAxisMin {
    transform: rotate(180deg);
    text-align: left;
    height: 25%;
    color: white;
}

#yAxisMax {
    transform: rotate(180deg);
    text-align: right;
    height: 25%;
    top: 60%;
    color: white;
}

#fdgCtl {
    width: 300px;
/*    height: 200px;*/
    top: 0px;
    left: calc(100% - 300px);
    position: absolute;
    opacity: 1;
/*    border: 1px solid white;*/
    background: transparent;
    pointer-events: all;
}

#fdgCtl div {
    position: relative;
    color: white;
}

#fdgCtl a {
    position: relative;
/*    border: 1px solid white;*/
}

.ui-slider {
    background: rgba(220, 220, 220, 0.3);
    height: 20px;
    margin-bottom: 5px;
}

.ui-slider div {
    height: 20px;
    width: 3px;
    background: white;
}

.ui-slider a {
    height: 20px;
    width: 20px;
}

.sliderTitle {
    top: -20px;
    position: relative;
    color: white;
    padding: 3px;
}

/*.status.middle {*/
/*    width: 20%;*/
/*    max-width: 10; /*To prevent overflow, doesn't matter what the number is*/*/
/*    white-space: nowrap;*/
/*    overflow: hidden;*/
/*    text-overflow: ellipsis;*/
/*}*/
/****************/

/*For the SVG area*/
#svgDiv {
    overflow: hidden;
    position: absolute;
    border-bottom: 0;
    height: 100%;
    width: 100%;
}
.incompatible {
    opacity: 0.5;
}

/****************/

/* The overall container of elements not in skeleton*/
#container {
    width: calc(100% - 9px);
/*    height: calc(100% - 110px);*/
    height: calc(100% - 153px);
    float: left;
    position: absolute;
    top: 150px;
}

#container.fullScreen {
    top: 5px;
    height: calc(100% - 12px);
}

.console {
    position: absolute;
    top: 0px;
    width: 100%;
    height:100%;
    background-color: black;
    color: white;
    font-size: 11pt;
    padding: 5px;
    border-style: none;
    overflow-y: scroll;
}

.console input {
    width: 100%;
    height: 30px;
    background-color: black;
    color: white;
    font-size: 11pt;
    border-style: none;
    vertical-align: top;
    outline: none;
}

.console textarea {
    width: 100%;
    background-color: black;
    color: white;
    font-size: 11pt;
    border-style: none;
    vertical-align: top;
    read-only: 1;
    resize: none;
}

.console li {
    padding-bottom: 5px;
}

/* For disabled elements */
.disabled {
    opacity: 0.5 !important;
    pointer-events: none;
}

h1, h2, h3, h4, h5, h6 {
    margin: 0px;
    padding: 0;
    font-weight: bold;
    -webkit-font-smoothing: antialiased;
    cursor: text;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content td {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    width: 50%;
}

/* Change color of dropdown links on hover */
.dropdown-content td:hover {background-color: #ddd}

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {display:inline-table;}

.exprButton {
    width: 70px;
    disabled: true;
}
